#
# spec file for package python-requirements-detector
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-requirements-detector
Version:        0.4
Release:        4.5
Summary:        Python tool to find and list requirements of a Python project
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/landscapeio/requirements-detector
Source:         https://pypi.python.org/packages/source/r/requirements-detector/requirements-detector-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-astroid >= 1.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
requirements-detector is a simple Python tool which attempts to find and list the requirements of a Python project.

When run from the root of a Python project, it will try to ascertain which libraries and the versions of those libraries that the project depends on.

%prep
%setup -q -n requirements-detector-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/detect-requirements
%{python_sitelib}/*

%changelog
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 0.4:
  * no changelog available
* Wed Jan 15 2014 speilicke@suse.com
- Initial version
